// Generated by gencpp from file gps_driver/parsed_data.msg
// DO NOT EDIT!


#ifndef GPS_DRIVER_MESSAGE_PARSED_DATA_H
#define GPS_DRIVER_MESSAGE_PARSED_DATA_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <std_msgs/Header.h>

namespace gps_driver
{
template <class ContainerAllocator>
struct parsed_data_
{
  typedef parsed_data_<ContainerAllocator> Type;

  parsed_data_()
    : header()
    , Latitude()
    , Longitude()
    , Altitude()
    , UTM_Easting()
    , UTM_Northing()
    , Zone()
    , Letter()  {
    }
  parsed_data_(const ContainerAllocator& _alloc)
    : header(_alloc)
    , Latitude(_alloc)
    , Longitude(_alloc)
    , Altitude(_alloc)
    , UTM_Easting(_alloc)
    , UTM_Northing(_alloc)
    , Zone(_alloc)
    , Letter(_alloc)  {
  (void)_alloc;
    }



   typedef  ::std_msgs::Header_<ContainerAllocator>  _header_type;
  _header_type header;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _Latitude_type;
  _Latitude_type Latitude;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _Longitude_type;
  _Longitude_type Longitude;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _Altitude_type;
  _Altitude_type Altitude;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _UTM_Easting_type;
  _UTM_Easting_type UTM_Easting;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _UTM_Northing_type;
  _UTM_Northing_type UTM_Northing;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _Zone_type;
  _Zone_type Zone;

   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _Letter_type;
  _Letter_type Letter;





  typedef boost::shared_ptr< ::gps_driver::parsed_data_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::gps_driver::parsed_data_<ContainerAllocator> const> ConstPtr;

}; // struct parsed_data_

typedef ::gps_driver::parsed_data_<std::allocator<void> > parsed_data;

typedef boost::shared_ptr< ::gps_driver::parsed_data > parsed_dataPtr;
typedef boost::shared_ptr< ::gps_driver::parsed_data const> parsed_dataConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::gps_driver::parsed_data_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::gps_driver::parsed_data_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::gps_driver::parsed_data_<ContainerAllocator1> & lhs, const ::gps_driver::parsed_data_<ContainerAllocator2> & rhs)
{
  return lhs.header == rhs.header &&
    lhs.Latitude == rhs.Latitude &&
    lhs.Longitude == rhs.Longitude &&
    lhs.Altitude == rhs.Altitude &&
    lhs.UTM_Easting == rhs.UTM_Easting &&
    lhs.UTM_Northing == rhs.UTM_Northing &&
    lhs.Zone == rhs.Zone &&
    lhs.Letter == rhs.Letter;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::gps_driver::parsed_data_<ContainerAllocator1> & lhs, const ::gps_driver::parsed_data_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace gps_driver

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::gps_driver::parsed_data_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::gps_driver::parsed_data_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::gps_driver::parsed_data_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::gps_driver::parsed_data_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::gps_driver::parsed_data_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::gps_driver::parsed_data_<ContainerAllocator> const>
  : TrueType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::gps_driver::parsed_data_<ContainerAllocator> >
{
  static const char* value()
  {
    return "0eab0c6a5e94593b788b36ff3576f1ef";
  }

  static const char* value(const ::gps_driver::parsed_data_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x0eab0c6a5e94593bULL;
  static const uint64_t static_value2 = 0x788b36ff3576f1efULL;
};

template<class ContainerAllocator>
struct DataType< ::gps_driver::parsed_data_<ContainerAllocator> >
{
  static const char* value()
  {
    return "gps_driver/parsed_data";
  }

  static const char* value(const ::gps_driver::parsed_data_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::gps_driver::parsed_data_<ContainerAllocator> >
{
  static const char* value()
  {
    return "Header header\n"
"string Latitude\n"
"string Longitude\n"
"string Altitude\n"
"string UTM_Easting\n"
"string UTM_Northing\n"
"string Zone\n"
"string Letter\n"
"\n"
"\n"
"================================================================================\n"
"MSG: std_msgs/Header\n"
"# Standard metadata for higher-level stamped data types.\n"
"# This is generally used to communicate timestamped data \n"
"# in a particular coordinate frame.\n"
"# \n"
"# sequence ID: consecutively increasing ID \n"
"uint32 seq\n"
"#Two-integer timestamp that is expressed as:\n"
"# * stamp.sec: seconds (stamp_secs) since epoch (in Python the variable is called 'secs')\n"
"# * stamp.nsec: nanoseconds since stamp_secs (in Python the variable is called 'nsecs')\n"
"# time-handling sugar is provided by the client library\n"
"time stamp\n"
"#Frame this data is associated with\n"
"string frame_id\n"
;
  }

  static const char* value(const ::gps_driver::parsed_data_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::gps_driver::parsed_data_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.header);
      stream.next(m.Latitude);
      stream.next(m.Longitude);
      stream.next(m.Altitude);
      stream.next(m.UTM_Easting);
      stream.next(m.UTM_Northing);
      stream.next(m.Zone);
      stream.next(m.Letter);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct parsed_data_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::gps_driver::parsed_data_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::gps_driver::parsed_data_<ContainerAllocator>& v)
  {
    s << indent << "header: ";
    s << std::endl;
    Printer< ::std_msgs::Header_<ContainerAllocator> >::stream(s, indent + "  ", v.header);
    s << indent << "Latitude: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.Latitude);
    s << indent << "Longitude: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.Longitude);
    s << indent << "Altitude: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.Altitude);
    s << indent << "UTM_Easting: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.UTM_Easting);
    s << indent << "UTM_Northing: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.UTM_Northing);
    s << indent << "Zone: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.Zone);
    s << indent << "Letter: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.Letter);
  }
};

} // namespace message_operations
} // namespace ros

#endif // GPS_DRIVER_MESSAGE_PARSED_DATA_H
